BiziBook

Welcome to BiziBook help

  • Use on line help to learn more about the features and functionality of BiziBook

  • Find answers to questions using the Answer wizard

Copyright 2000 Human Systems Technology


Activities described

Activities

BiziBook provides facilities to differentiate between all the major tasks you perform in your practice as well as other areas of endeavour.

Activities, when used in conjunction with the Diary, allow you to:

  1. keep track of where you are spending your time
  2. specify the charge to clients for the services you provide

  3. specify which services are GST applicable

With each activity you can specify the default:

  1. time (minutes) that you would normally spend on this activity
  2. either the rate (cents/minute) or a flat service charge for this activity
  3. the GST rate (percent) that is applicable for this activity

Tracking your time

Not all of your time will be spent in consultation with clients. You will have other matters to tend to, whether they are business related or matters of a personal nature. If you want to know where you are spending your time and what sort of activities you are involved in, you can enter this information in the Diary.

Activities are a structured approach to recording what you do. It allows you analyse your practice efficiency.

Service charges

Not everything you do is charged to clients, and those that are charged to clients may have different charge rates. You may also have co-practitioners, business partners or employees. You may even be multi-skilled and perform a number of therapeutic activities - naturopathy, massage, kinesiology. Each of these may have different service charges. Some activities may have a flat rate where the client is charged for the service. Other activities are time billed where the client is charged for the time spent on the activity.

GST

If you are receiving payment for the supply of services then you can use activities to specify which are taxable supplies and those that are GST-free supplies.

The Activities form allows you specify the details of activities relevant to your business.


Activities form

The Activities form

The Activities form allows you specify the details of activities relevant to your business. With each activity you can specify the default:
  1. time (minutes) that you would normally spend on this activity
  2. either the rate (cents/minute) or a flat service charge for this activity
  3. the GST rate (percent) that is applicable for this activity

Operations that can be performed on Activities are:

  1. Search through the list activities
  2. Create a new activity
  3. Delete an existing activity
  4. Edit an existing activity
  5. Print the list of activities

Search

Use the list box to search for an existing activity.

Create

The create facility allows you add a new Activity record to the database

  1. Press New
  2. Enter the appropriate data into the corresponding fields
  3. Press OK to save the new record

Notes

After pressing the New button, the list box will be disabled (greyed out) and you will now be able to enter the details for the new activity.

After entering the details in the respective fields and pressing the OK button the list box will be enabled and the new record will selected.

Edit

The edit facility allows you to modify any of the fields of the current Activity record.

  1. Use the Search facilities to locate the desired Activity record.
  2. Press the Tab key to position the cursor in the field you want to modify.
  3. Change the detail as required
  4. Repeat 2 & 3, if necessary, to modify any other field
  5. Press OK to accept the changes or Cancel to undo any changes

Delete

The delete facility allows you to delete an activity that has NOT been used in the Diary.

  1. Use the Search facilities to locate the desired Activity record.
  2. Press the Delete button
  3. Press Yes to delete the record or No to keep the record

Notes:

To maintain integrity of the database, you can only delete activity records that have not be previously used. You will be given a warning message if you attempt to delete a "used" record.

Print

You are able to view and print a report containing all the Activity records currently stored in the database.

  1. Press Print (this is the button with the graphic of a printer on the command button)


City details

City details entry

To enter the city details:

  1. Select the country, where this city is located, from the Country combo box
    • This will display the name of country's postcode table. No it doesn't!
  2. Select the city from the City / Town combo box

State and postcode now appear in the corresponding boxes.

Press OK.

Ok button has now changed to Address button.

Press Address button.

'Address details' form appears.


Places

Places refer to specific objects like countries, states or regions, suburbs/towns/cities, street addresses, mailing details and buildings.

To assist you in entering the address details for various places, BiziBook provides a table of your country's post codes. It's like having a PostCode booklet at your fingertips.

When you enter an address, you start with the city or town. After you have established the city or town you then enter the address details: street number and name, post office boxes, room/suite numbers, floor numbers and building names.

There are two forms used to enter and edit the address details:

  1. City details entry form
  2. Address entry and edit form

In BiziBook, there is another type of place - Venue.

Notes

The Address entry and edit form is only accessible from the City details entry form or from the Relationship manager.


Addresses

Address details

After you have entered details for a particular place (city, suburb or town) you are able to add addresses for this place.

When you access the Address details form you are given a list of addresses that have already been entered into the BiziBook database. You may:

  1. add a new address
  2. edit an existing address
  3. select an address


Add a new address

To add a new address:

  1. Press Add
    • this will now display the address entry fields
  2. Enter the relevant details
  3. Press OK to accept the details or Cancel to undo any changes

Notes

The address details are contained within four fields:

# | Field | Usage
1 | Address line 1 | Use this address line to enter details like: Post Office Box numbers; Room/Floor numbers; Building names
2 | Address line 2 | Use this address line to provide detail that may help locate this address. Example: Cnr Main & Any Street
3 | Street No. | This is for the actual address. Examples include 123; Unit 24/1099; Lots 8/9
4 | Street Name | This is the name of the street, road, avenue etc.

Top


Edit an existing address

To edit an address after it has been entered into the database:

  1. Highlight the particular address. How?
  2. Press Edit
  3. Alter the details as required
  4. Press OK to accept the details or Cancel to undo any changes


Select an address

To select an address:

  1. Highlight the particular address. How?
  2. Press Select

Notes

The Select feature is used when you wish to associate an Entity with an Address. For example; a Client resides at an Address.


Appendix

The appendix contains additional information that may help you understand or use BiziBook more effectively.

BiziBook uses a Graphical User Interface that has a variety of visual objects to allow you to interact with the database.


Architecture

Architecture of BiziBook

BiziBook has been developed using Microsoft Access2000 - a relational database management product for 32bit Windows platforms. The design has adopted a front-end/back-end approach to developing database applications.

The user interface (menus, forms and reports) and the executable code is contained in a single front-end database. The data tables are stored in a number of back-end databases.


Stock levels

Catalogue form

The Catalogue edit and entry form serves two purposes:

  1. price details of the stock item
  2. inventory details of the stock

Select stock type by pulling down the combo box.

Stock items now appear in Stock Items list.

Highlight stock item required

Press New button.

This deactivates the left hand side of the screen.

Enter details into the corresponding text boxes:

Brand:

The brand name is what you would see on the label. Generally, this is not the manufacturer's name.

Purchase price:

This is the price you paid for the stock. This value also includes any GST you paid.

RRP:

This is the price the client pays for the stock. This value DOES NOT INCLUDE any GST. Use the tax rate field to specify the GST.

GST rate:

The rate of GST, expressed as a percentage, applicable to this stock item.

QTY in stock:

The quantity of stock that is available for resale.

Reorder level:

When the quantity of stock reaches this level, it is time to order more stock.

Reorder qty:

This is the amount you would normally reorder.

Date discontinued:

When you no longer wish to carry this stock.

To edit an existing item in the catalogue:

Highlight stock item required in Stock Items list.

Press Edit button:

This deactivates the left hand side of the screen.

Enter details into the corresponding text boxes as directed above.

Press OK when finished.


Creating new Catalogue entries

Highlight item to be entered.

Press New.

Enter purchasing & stock details.

Press OK.


Changes to either goods and services

Changes to either goods or services

This is where changes to goods provided with a consultation may be altered. If you do not give a client discount and have decided to do so on this invoice, this is where you can alter the cost.

Entry can be gained by:

  • Pressing Invoice button on Client History form
  • From current invoice showing Goods and Services

Click on the corresponding line for desired change.

Services

Click on Consultation

Services and Charge fees form appears

Select the box in which the change is to take place

Make the necessary price change

Press Enter

Press OK

Press Exit

Goods

Items can be deleted or added here by clicking in the corresponding lines

New

  • on next vacant medication line

Change

  • on line with medication to be altered

Prices can be discounted by clicking on the medication

Make the adjustments in Sales form which appears

Press OK

Press Exit


Client history

Here you record the details of the client's individual contact history.

To bring up the Client Contact History form, click on a Day, Time or Activity in the diary form. Do not click on the Client, as this will bring up a different form.

The client history form will appear.

Comments

This is where you record the information obtained and dispensed with regard to the client's consultation.

Any information: e.g.: diet, supplements not sold by self, telephone conversations, observations, improvements, reactions.

Private Notes

Enter here any information you do not wish the client to have access to, e.g.: your private thoughts and impressions regarding the case

Prescription

Enter here all the details of medications prescribed and dispensed to the client.

Assistance

Enter details here if client receives more than one modality during the course of his/her consultation with you e.g.: remedial therapy for a frozen shoulder.

Press OK.


Confirm Product and Medication

The Confirm new product and medication form allows you to:

  1. confirm the details of the Product and Medication
  2. simultaneously add a new Product and Medication into the database

This form provides you an opportunity to correct any spelling mistakes and specify the strength (or potency) of the medicinal properties of the product before committing the details to the database.

If you are satisfied with the Product name and the Medication strength then:

Press OK

otherwise, if you decide that you don't want to add these details to the database then:

Press Cancel


Contents

The BiziBook help is arranged as follows

Overview

You, GST and the ATO

Getting started

People and Places

Diary and Appointments

From Products to Prescriptions

Inventory management

Dispensing

Invoices and Receipts

General Ledger

FAQ'S

Appendix

System Administration

What's new


Converter

The purpose of the converter is to allow you, by a mathematical conversion rate, to convert stock measure to formula measure. It estimates, and equates, the ratio from one unit to another.

Operations that can be performed on Converters are:

  1. Search through the list of converters
  2. Create a new converter
  3. Delete an existing converter
  4. Edit an existing converter

Create

Press the New button.

Left hand side of form is now disabled (greyed).

Pull down Stock type combo box. This allows you to specify different conversion rates for different stock types.

Pull down Stock unit combo box. These are the units currently in stock.

Now place a number in the Multiply box necessary for the conversion.

Pull down Formula unit combo box. This is the unit to be used in the formula.

Press OK.

Conversion rate, for this stock type, is now added to the list.

Delete

Delete allows you to delete a conversion factor and rate.

Press the Delete button.

A confirmation box will appear.

Press Yes to delete.

Item is now deleted from list.

Press No to cancel and return to 'Converter edit and entry' form.

Edit

Edit allows you to alter an existing conversion rate.

Press Edit button.

Left hand side of form is now grayed.

Change necessary details in the corresponding combo boxes

Press OK when finished.


Creating a new Entity

Objective: To add new details to BiziBooks database for a:

  • New Client
  • New Enterprise

Click on the New Entity icon from BiziBook desktop.

New Client:

Check Individual box.

Pull down title combo box and highlight appropriate title.

Tab to Last name, Preferred name, and Given names and type in appropriate details.

Tab to Date of Birth and enter details. e.g. 18/6/68

Upon entry, BiziBook automatically:

  • Determines the gender of the person from the information given in the title field
  • Changes the clients last name to upper case.
  • Changes the first letter of the given names to a capital.
  • Changes the digit that represents the month in the DOB field to read in its unabbreviated form.

If there is only one new entity:

Click OK.

Click Exit.

If there are more new clients to enter:

Click on New.

See New Client above.

New Enterprise:

Click on New Entity icon on BiziBook desktop.

Check Enterprise box.

Enter the name of the enterprise.

Click OK.

Click Exit, or New to add another new enterprise.


Creating a new Invoice

In the Client History form, Click on Invoice button.

The Orders and Invoices form appears.

Press Create new Invoice button.

An invoice number now appears in the ‘Office use only’ section at right top corner of form.

Press Combine other Appointments button.

All other clients that have been invoiced and not receipted will appear in the section below.

To exclude others

Highlight one name and then unhighlight it This name now has a box around it. All other names are now excluded.

You have now created a customer order. This number is displayed in the ‘Office use only’ section.

Press Service/Dispensary button.

Medications being dispensed to client will appear in ‘Dispensary’ form

If correct Press Invoice button then exit button

These medications have now been put on Clients bill

You have now created an invoice number in the ‘Office use only’ section

Press Show Invoice button

Details of medications and Professional fee are displayed in the ‘Goods and Services’ form

If total amount due requires adjustment Press Recalc button

NB. Use Recalc button when changes have been made to the invoice

NB. Use View button to view the generated receipt

Changes to either goods and services

Invoicing combined appointments

Status flag


Customer Discounts

This feature allows you to preset discounts you may give to preferred customers. The discount entered is automatically applied to any dealings with that customer.

Press Customer Discount button on BiziBook desktop.

'Customer discount rates' form appears.

Pull down combo box and Select customer name.

Enter the discount rate in the corresponding boxes:

  • Total value
  • Goods
  • Services

Press Exit button when finished.


The Diary

In BiziBook, the Diary combines the features of a diary and the appointment book. As well as recording important activities and events relating to your practice, the diary is also like the appointment book on your reception desk where you schedule appointments with clients. The Diary is the main interface to the activities of your practice.

The features of the Diary include calendar, clock, query fields and the appointment sheet that lists all the activities and appointments.

The main operations you perform with the Diary are:

  1. Record and schedule practice activities

  2. Make an appointment with clients

  3. Search for a previous or future appointment

  4. Delete an appointment (restricted)

  5. Reschedule an appointment

Central to the diary

  • viewing and editing contact history with clients

  • entering new clients and their details

  • searching for past and future appointments and activities, using the query fields


Directions description

Directions

Tip: This section should be studied thoroughly!

When prescribing formulas (medications and substances) to clients it is necessary to provide directions on:

  1. how to take the formula
  2. how frequently to take the formula
  3. when to take the formula
  4. for how long the formula should be taken

Directions are used to specify the above parameters. Each direction, you create in BiziBook, will consist of one item from one, or all, of the following:

  1. how taken
  2. frequency
  3. when taken
  4. duration

The following table provides some examples of each parameter that may be used to specify a direction.

How taken | Frequency | When taken | Duration
under tongue drink apply topically to affected areas apply topically to soft skin; inside elbows and behind knees under tongue until dissolved sip slowly swallow with a teaspoon in each nostril | once daily twice daily three times daily four times daily often hourly every 15 minutes three times every half hour twice daily | 5 minutes before eating food after eating food after rising and before retiring as needed at meal time at midnight before breakfast during the morning on retiring, on rising and on retiring with food with the morning and evening meal | one day four days six days one week four weeks six weeks one month two months six months until completed until condition has improved until symptoms have ceased

Each column in the table is a separate parameter list. You create a direction by combining one (and only one) item from one, two, three or all parameter lists.

Consider the following graphic which shows a number items in each parameter list.

In the above example, there are 270 (3 x 3 x 5 x 6) possible combinations. Some make sense, some do not. For example, any combination with "three times daily" with either "after rising and before retiring" or "before breakfast" are examples of combinations that would not make sense.

Each interconnecting line represents one of the many possible combinations. Therefore, each line is one direction that can be used when prescribing. In this example there are three directions:

  1. under tongue, three times daily, at meal time for one month
  2. drink, once daily, before breakfast until condition has improved
  3. apply topically to affected areas as needed for four weeks

The Directions form is the tool you use to create and manage your list of directions.


Directions form

The Directions form

The Directions form is used to create, and manage, a list of directions that you would use in prescriptions.

With this form you can

  1. Select a combination
  2. Delete a combination

With this form you can also add more items to the directions parameter lists:

  1. How
  2. Frequency
  3. When
  4. Duration

Extending a parameter list extends the combinations list manyfold.

The form provides an option to list all combinations or only those combinations that you have previously selected.

This form has a combo box for selecting


Dispensing

Dispensing is a process whereby the clinic practice provides some or all of the substances and/or medications specified in the prescription.

The process is relatively simple when the items dispensed are the same as the items purchased. For example, the prescription requires 100 tablets of Vitamin C. You purchase and stock bottles of Vitamin C containing 100 tablets. Little or no intervention is required - similar to an "over the counter sale."

However, when the prescription requires you to "manufacture" a product, the task takes you from being a shop assistant to that of a pharmacist or manufacturer.

Before you begin, you assemble all the ingredients together.

Given a formula it is possible to determine the constituents - both active and passive.

To dispense a particular formula:

  1. all constituents must be in the Catalogue. (Implies that that they are also in the Stock.)
  2. the quantity for each constituent must be less than the Inventory quantity.

Converting


Dosage

Dosage specifies the amount that is to be administered (taken) as specified by the directions.


Edit Manager

Pricelist manager

BiziBook manages a concise file of all your suppliers products. It contains a feature of an edit manager that allows you to change values of one or many products at the same time.

Pull down the combo boxes and choose:

  • Stock type
  • Brand
  • Supplier

Highlight the required product/products.

Now press highlighted Select button.

Highlight product/products for change.

Press Change values button.

'Price and value changer' form appears.

Select a button from the Domain options.

Enter new values into New Values box.

Press the Show Me button to highlight the list of products to be changed.

Press Update button.

Press Exit button.


Editing Stock records

To edit stock records:

Press the Stock button on the BiziBook desktop.

'Stock edit and entry' box appears.

Select stock type from combo box.

Select and highlight stock record entry to be altered from list of stock items.

Press Edit to deactivate left hand side of the "Edit/Entry" form.

Change desired details.

When complete press OK.

N.B. Product strength cannot be altered here, it must be changed in Medication section.


Enter clients details

To enter a client into the Diary

This feature of BiziBook enables you to record all your clients in one list.

Objective:

Here you will learn how to compile and recall all your clients from one generated list.

  • recall existing client
  • enter new client

Press Diary button on BiziBook desktop.

Diary form box appears.

Pull down arrow of clients combo box.

To Recall an Existing Client

Pull down box and type surname.

Highlight clients name when appears.


Entering Stock Records

Press Stock button on BiziBook desktop of BiziBook.

"Stock Edit & Entry" box appears.

To enter a new product:

Select stock type from combo box.

N.B. Place a check in box beside stock type to exclude all others appearing in list.

Press New button.

Left side of form is now inactivated.

Enter details into right hand side of form:

  • stock type

  • product

  • product strength

  • product packaging

Place a check in box beside Medication.

Press OK.

'Confirm medication details' form appears.

If details are correct press OK.

New product now appears highlighted under stock items in the left hand side of form.

Press Exit to escape form.

To enter new stock into catalogue, follow the procedure in Catalogue Entries.

To edit existing stock records, follow the procedure in Editing Stock Records.


Formulas described

Formulas

More often than not, healthcare practitioners like naturopaths and herbalists, will prescribe a combination of medications.

After consultation with the client, the practitioner will formulate a medication, based on a variety of herbs or substances, that will address the client's condition. Each substance, in the formulation, is taken from a stock bottle and mixed together before being dispensed to the client.

Whilst this may represent the best approach for treating client conditions, it has greater implications for:

  1. dispensing costs
  2. inventory management
  3. tax invoicing

Each formula is expressed in terms of:

  1. active constituents
  2. passive constituents

Formulas are mixtures of active constituents and optional passive constituents. Simple formulas may be specified as a single medication as the only active constituent with no passive constituents. Complex formulas can be specified as multiple active constituents and multiple passive constituents.

How to create a formula

Prescribe a formula

Only Prescriptions can be prescribed to a client.

Before a formula can be prescribed to a client, it must be specified as part of a prescription.

Formula stock levels


Formula edit and entry form

This form allows you to create, and manage, your own formula specifications.

Operations that can be performed on formulas are:

  1. Create a new formula
  2. Delete an existing formula
  3. Edit an existing formula
  4. Query existing formulas
  5. Cancel any pending changes
  6. Label a formula
  7. Synchronise formula label
  8. Prescribe a formula

Create a new formula

It is necessary to add a new formula before it can be prescribed!

Generally, the new formula is added as a result of a query - you are searching for a formula that contain particular medications. If you cannot find a formula that has the appropriate medications or, the formula has the medications you want but does not have them in the correct ratio, you can create a new formula.

By default, the active constituents for the new formula are automatically taken from the medications specified in the query.

Cloning

You can also create a new formula by cloning an existing formula.

In either case, it is then a simple matter of specifying any additional medications required along with the ratios or measures for each. You also have the option to specify any passive constituents for this formula.

If you try to create a new formula that already exists in the database, you will be informed about this attempt AND the operation WILL BE CANCELLED.

Delete an existing formula

The currently selected formula may be deleted if it has not already been prescribed. You will given a message stating that you are not able to delete the selected formula should you attempt to delete a formula that has been prescribed.

Edit an existing formula

The details of the currently selected formula may be deleted if it has not already been prescribed. You will given a message stating that you are not able to edit the selected formula should you attempt to edit a formula that has been prescribed.

If the values you specify now match those of an existing formula in the database, you will be informed about this attempt AND the operation WILL BE CANCELLED.

Query existing formulas

The query facility allows you to find a formula based on the medications (in the active constituent) you specify. Up to three medications can be specified in the query.

Cancel

Any changes pending to the currently selected formula can be cancelled. Pending is the operative word - only those changes not yet committed to the database can be undone.

Label a formula

Each formula has the option to record the active constituents, in the form of text, for labeling purposes. The text contains a list of the active constituents with a corresponding value of percentage (by volume).

By default, when a new formula is created, the label text is automatically generated.

You are able to change the label text to suit your particular requirements

Synchronise label

If the label has been modified, at any time, after it was created it is possible to re-synchronise the label text with the active constituents.

Press New button.

'New formula' form appears

Enter details into corresponding fields

Code

This is for your own special number if you desire to code your medication.

Label

This is automatically provided by the data base.

Constituents

This is where you write the formula constituents that are to be displayed on the label.

Licence

This is the licence number given to a specific formula when registered with the T.G.A.

Storage

This is how the client is to store and protect the medication.

Specify the method measure:

  • by part
  • by measure

Pull down combo box and specify 'Target type' and 'Target units'.

Active constituents

Enter constituents by pulling down combo boxes.

Stipulate the quantity and unit of measure.

Passive constituents

Enter constituents by pulling down combo boxes.

Stipulate the quantity and unit of measure.

Press OK or Synch button.

This will automatically calculate the percentage of each of the Active constituents in the formula.

To Edit

Press Edit button and alter necessary boxes.

To Clone

This button enables you to make another formula based on the highlighted one but with a slight variation.

Press Exit when finished.


Getting started

There are a number tasks that you have to complete before you can use BiziBook in your daily business activities. These tasks are grouped in the following categories:

Starting Bizibook

Setting up BiziBook for your business

Getting started with Bizibook


Chart of accounts

The phrase, "Chart of Accounts" is a longstanding accountancy term used to create order in the ledger.

Every entity (individual or enterprise) that you do business with has an "account." HOWEVER, in BiziBook, the term ACCOUNT identify repositories for the transfer of money. Usually, an account is something that your business holds with a financial institution - cheque account, savings account, credit card or mortgage. To help you keep track of monies you can set up other accounts. To help you manage GST it is necessary to set up a liability account for the GST.

It is important to remember that BiziBook accounts hold the monies belonging to your business.


General ledger - Description

General ledger

BiziBook is NOT a double-entry accounting system! BiziBook's General ledger is a transaction-based record management system.

The General ledger form provides access to all of your financial transactions.

The functionality of BiziBook's general ledger meets the requirements of the Australian Taxation Office (ATO). It is a requirement of the ATO that you record all financial transactions related to your business. You are also required to differentiate between the monies involved Supplies and Acquisitions; between taxable supplies and GST-free supplies; between creditable acquisitions and non-creditable acquisitions.

The receipts you write against the customers' invoices are posted automatically to the general ledger. You can also enter all your other income and expenses into the general ledger using the transaction edit and entry form.

As well as recording all incomings (Supplies) and outgoings (Acquisitions), the BiziBook general ledger provides you facilities that give you greater control over each transaction. Central to the general ledger are the:

  1. Chart of accounts
  2. Financial categories
  3. Financial transactions

The General Ledger form provides an interface to powerful, yet flexible, search facilities. You can search on dates and date ranges, accounts, entities (enterprises & individuals) and financial categories.

For reporting, you can use predefined reporting parameters or define your own parameters that you can save for later use. You can also use the query facilities on the form to specify parameters to your report.


Financial categories

Financial categories are used to group similar types of transactions. Each financial category identifies the:

  1. flow of money through an account
  2. purpose of the transaction
  3. relatedness to tax

Flow of money

Money would represent one of the most fluid aspects of your business. You will have money coming in to your business from the supplies you make. You will be paying other suppliers for your acquisitions and transferring money between accounts.

In BiziBook there are three types of flow:

1. | Inflow | Inflows represent money coming into the business. This represents the supplies you make and is specified as Income. In the above graphic, this is represented by the blue arrow on the left. An example of income is when someone pays your business for the goods or services you provide.
2. | Outflow | Outflows represent money leaving the business. This represents the acquisitions you make and is specified as Expense. In the above graphic, this is represented by the red arrow on the right. An example of an expense is your business purchasing new stocks and supplies.
3. | Transfer | Money staying in the business but going from one account to another account is specified as a transfer. An example of a transfer is moving money from the business operating account to a credit card account.

Transaction purpose

Every financial transaction has some purpose or meaning in your business. When you are purchasing new stock or supplies to replenish your inventory you can set up a financial category called "Stocks and supplies". Similarly, you may want to group all purchases involving stationary, printer paper and pens in a category called "Office supplies and consumables".

When you use categories to group similar transactions, you isolate the dependency on the account and supplier. From the above example, you can purchase your pens from one supplier using petty cash, write a cheque when you purchase the printer paper from a computer store and purchase the stationary from an office supplies merchant with the credit card.

Tax relatedness

Tax relatedness is a way of specifying how much of the transaction is related to tax. For purchases that are entirely related to business, these transactions are specified as 100%. Conversely, if you choose to record transactions that are purely personal in nature, these are 0% tax related.

By using the tax related feature of the financial category, it is possible to record both your personal and business related expenses in the same general ledger. As well as determining which income and expenses are tax related you can also set the level of tax for expenses related to your office at home.

For example, if your home office was 8% of floor area you can specify expenses like power and rates to be 8% tax related. For telephone expenses, you may decide that 80% are related to business use.

Use the Financial category form to specify financial categories.


The financial transaction

When you are in business, it is an offence under Australian tax law, if you fail to "keep records or supply information and issue tax invoices."

Every transaction involving money can be stored as a financial transaction in BiziBook. The details of each transaction include:

  • date
  • entities and/or accounts involved
  • purpose (financial category)
  • description and/or references
  • amount of money

The general ledger is designed to give you access to all the financial transactions that you enter into BiziBook.


General ledger form

The General ledger form contains a number of parts.

When the form is initially opened, the right-hand side contains a multi-row and multi-column spreadsheet of the financial transactions. Up to seven transactions can be displayed at any one time.

The left-hand side of the form has three parts:

  1. account details
    • opening balance - the amount in this account when you started using BiziBook to record your financial transactions
    • balance - the current balance of the selected account
  2. search parameters where you can specify the various parameters to restrict the range of records displayed:
    • account
    • date
    • entity
    • category
  3. command buttons

From the General ledger form you can:

  • search for particular transactions
  • insert new transactions
  • edit existing transactions
  • delete transactions
  • produce reports

To view/edit an existing transaction:

Click on an existing transaction in the general ledger. After editing, click OK and Exit.

To refresh general ledger and display changes, click on the appropriate account in the account drop bar.

Changes will not be displayed in the general ledger until this has been done.

To add a new transaction:

On main general ledger form, click New button.

'Editing transaction' form appears.

Click New. 'Entering New Transaction' form appears.

Type date in Date box

Pull down and enter details into combo boxes:

· From

· To

· Category

Enter description of transaction in Description box.

Enter receipt number in Reference box.

Enter amount involved in Amount box.

For cash transactions, clear Amount box by pressing space bar.

For other transactions, clear when reconciling with relevant paperwork (e.g. Credit card).

Click on the Default On box if you would like the form to remember the accounts entered in the From, To and Category boxes for the next transaction (useful when you intend to enter multiple transactions using the same accounts).

Click OK.

Click New for another transaction (Alt N).

To delete a transaction:

Click on the transaction in the general ledger that is to be deleted.

'Editing transaction' form appears.

Press Delete button.

A confirmation form appears.

To confirm deletion of transaction, press Yes. To cancel, press No.


Financial reports

To produce a report, click on the Reports button in the general ledger.

The right-hand pane displays a form that has a number of tabbed pages in the top half of the form. Each page gives you access to the type of report you want.

Report type | Description
Transactions | This report allows you view and print all the financial transactions that meet the criteria of the parameters you specify.
Sales | This report allows you view and print all the customer invoices and receipts that meet the criteria of the parameters you specify.
BAS | The Business Activity Statement (BAS) report allows you to view and print the details necessary to complete the activity statement.
Inc/Exp |
Profit & Loss |
Assets & Liabilities |

The bottom half of the form has a list box from which you can select from a number of predefined reporting periods or report criteria that you create and save.


Search for transactions

To search for a transaction, you specify the various parameters that will restrict the range of records displayed. These parameters include:
  • account
  • date
  • entity
  • category

These parameters can be used together, performing a logical AND function. For example, you specify the account and the entity to display only those transactions where money has gone from one to the other.

Example

In this example, the list of transactions will only include those where money has been exchanged, during the month of August, 2000, between Natural Health Clinic's operating account (NHC-Trading) and a supplier - Complex Homoeopathics.
Results of query


Account parameter

To include an account as one of the search parameters:

  1. Select the account from the Account combo box
  2. Make sure that the associated check box is checked

Notes

The check box is automatically set (checked) after selecting an account from the list

Uncheck the check box to remove the selected account from the search. This will now include all accounts in the list of transactions.


Category parameter

To include a category one of the search parameters:

  1. Select a category from the Category combo box
  2. Make sure that the associated check box is checked

Notes

The check box is automatically set (checked) after selecting a category from the list.

Uncheck the check box to remove the selected category from the search. This will now include all categories in the list of transactions.


Date parameter

The date parameter is specified by using the calendar and the date buttons in concert.

The effect of the date buttons are listed below.

Ignore | This relaxes all date searching restrictions.
Day | Displays only those transactions for the day highlighted in the calendar. For example, 4 August, 2000.
Week | Displays only those transactions for the week in which the day is highlighted. For example, all transactions from Sunday, 30 July, 2000, up to and including those transactions on Saturday, 5 August, 2000.
Month | Displays only those transactions for the month in which the day is highlighted. For example, all transactions from Tuesday, 1 August, 2000, up to and including those transactions on Thursday, 31 August, 2000.
Year | Displays only those transactions for the Year in which the day is highlighted. For example, all transactions from 1 January, 2000, up to and including those transactions on 31 December, 2000.
Fin Year | Displays only those transactions for the Financial Year in which the day is highlighted. For example, all transactions from 1 July 2000, up to and including those transactions on 30 June, 2001.
Other | Not yet implemented.


Entity parameter

To include either an entity or an account as one of the search parameters:

  1. Select either an entity or an account from the Entity combo box
  2. Make sure that the associated check box is checked

Notes

The entity parameter provides functionality beyond selecting just an entity. In the combo box you will find that you can select either an account or an entity.

The list of accounts are at the top of the list and are enclosed in square brackets "[ ]".

Entities are not enclosed in brackets and list both individuals (LASTNAME, Preferredname) and enterprises (This Is My Enterprise).

The check box is automatically set (checked) after selecting either an entity or an account from the list.

Uncheck the check box to remove the selected entity or account from the search. This will now include all entities in the list of transactions.


GST and BiziBook

As a business, registered for GST, you are required to report to the Australian Taxation Office (ATO) periodically. Depending on your business structure this may be monthly or quarterly.

On the Business Activity Statement there are a number fields that you can use to help you determine the amount you have to remit to the ATO.

BiziBook produces a report that lists the amount for each corresponding field on the BAS.

With every financial transaction, BiziBook calculates the GST component.

Supplies you make

You will make either taxable supplies or GST-free supplies for the goods and/or services you provide to your clients.

Services

Services you provide are specified by the activities - Consultations, massage, kinesiology

Taxable supplies | Specify the tax rate for those activities which are not considered GST-free
GST-free | For acupuncturists, herbalists and naturopaths specify 0 (zero) as the tax rate for those activities that are directly related to the treatment or consultation.

When providing services, you specify the activity in the Client history form. BiziBook uses the service charge and tax rate to calculate the amount of GST to include in the price.

When you get to the invoice, you can apply discounts to the goods and/or services. When you apply discounts, BiziBook will recalculate the amount of GST to collect from the client.

Goods

Goods you provide are listed in the Catalogue. The price specified in the RRP field does not include GST.

Taxable supplies | Specify the tax rate for those items in the catalogue which are not considered GST-free
GST-free | Some items (basic food) are deemed as GST-free. Specify 0 (zero) as the tax rate for these items.

Exports

Supplies made to overseas clients are deemed GST-free. There is no need to modify any tax rates in either the Activities or Catalogue. When you supply goods that require shipping, BiziBook will drop all GST calculations for supplies consigned to overseas addresses.


Inventory management

BiziBook provides facilities to maintain an inventory of all the goods you buy and sell.

There are number of forms available to you:

  1. Stock
  2. Catalogue
  3. Pricelist manager

Stock

Identifies those products that you have available for sale. The operations you can perform on the Stock are:

  1. Add new stock item
  2. Edit details of the stock item

Catalogue

Lists the purchase and rrp price and the applicable GST rate of the stock you carry. The operations you can perform on the Catalogue are:

  1. Add a stock item to the catalogue
  2. Edit details of the catalogued item

Inventory

Lists the qty ... The operations you can perform on the Inventory are:

  1. Edit the inventory details of the catalogued item

Note: The catalogue and inventory are maintained through the Catalogue entry and edit form

Stock requisitions

When levels of stock maintained in the inventory fall below a pre-set level, it is time to order new stock.

Purchase Orders

Process

Adding new products

Catalogue manager

Orders

Edit manager


Invoicing and Receipting

BiziBook helps you maintain the separation of concerns - that of the healthcarer and that of the clinic operator. As the healthcarer, you go as far writing the prescriptions. As the clinic operator, you are concerned with, among other things, collecting and recording payments for the supplies you make.

Invoicing and Receipting relate to the financial transactions between you and your clients. You create an invoice to list the items of the goods and services you provided to the client. When you accept a payment for the goods and services, whether it be full or part payment, you create a receipt.

In practice, you will generally create an invoice at the end of each consultation. (See: Create an invoice from the Client History form).

Creating a new Invoice

Debtors form

Receipting


Invoicing Combined Appointments

To exclude listed appointments on an invoice you only need to highlight one and uncheck it again

Highlight name/names of other appointments to be combined with this invoice.

You have now created a customer order number in the ‘Office use only’ section.

Press Service/Dispensary button.

Medications being dispensed to client will appear in ‘Dispensary’ form.

If correct press Invoice button then Exit button.

These medications have now been put on Clients bill.

You have now created an invoice number in the ‘Office use only’ section.

Press Show Invoice button.

Details of medications and Professional fee are displayed in the ‘Goods and Services’ form.


List item select

Selecting items in a list box

BiziBook uses a number of list boxes to present a list of selectable items relevant to the current form displayed on the screen.

To select an item in a list box

  1. use the cursor keys to navigate between items
    • down - next record in the list
    • up - previous record in the list
    • page down - move down to the next page of items
    • page up - move up to the previous of items
  2. click on an item in the list box using the mouse
  3. use the scroll bar


Make an appointment

Objective: To allocate time in the future for a person to come in for a consultation.

To record the appointment in BiziBook you will need to:

  • specify the client
  • specify the date
  • specify the time
  • specify the activity (purpose of the meeting)
  • specify the consultant

Open the 'Diary' form from the BiziBook desktop by clicking on the Diary button.

Click on Client combo box.

Start typing clients name and highlight from given list.

Select appropriate group from Group combo box.

Select appropriate consultant from Consultant combo box.

Select appropriate activity from Activity combo box.

Appointments and activities, within the time period specified on the date and time side of the diary form, will be displayed.

Place cursor in client's next Activity field and click to display relevant details.

To set date and time of appointment:

Click appropriate date from the calendar on the left hand side of the screen.

To set the time, move the cursor to the 24 hour clock box below the calendar.

NB: You must disengage the 24 hour clock button by clicking on it to read 'Time', which then enables you to set the time of the appointment.

Click on the button that will appear either as AM or PM to match the time of the day that the appointment is to take place.

Move cursor to the clock face and click on the appropriate hours and minutes to set the time.

Confirm the correct details have been entered, by referring to the record fields displayed under clients name.

Click OK.

Click Exit. This returns you back to the appointment field.

The appointment has now been made and highlighted in blue indicating a future appointment.


Medications described

Medications

By definition, medicine is something (product) that has healing properties. Medicine is something that you, as the healthcare professional, will prescribe, to the client, as part of the client’s treatment protocol.

Medications are Products that have been qualified on the basis of the Product's medicinal properties. It is used to distinguish variations of the same “thing.”

For example, Vitamin C comes in many different strengths – 50mg, 100mg, 250mg, 500mg …

BiziBook provides you with two different ways to qualify a product:

  1. by size and unit
  2. by grade
  3. a combination of both

Consider the following table. There are only three Products but seven Medications

Product | Size | Unit | Grade
Vitamin C | 50 | mg |
Vitamin C | 100 | mg |
Vitamin C | 250 | mg |
Echinacea |  |  | 1:1
Echinacea |  |  | 1:3
Bergamot | 100 | % |
Bergamot |  |  | pure

In the above table, it would also be possible to combine Size, Unit and Grade, include Bergamot, 100%, pure. However, the question is - Does this combination provide and additional detail or differentiation? In most situations "100%" is synonymous with "pure" and, in this case, such a Medication is not necessary.

How to create a medication


Medication form

Medications are used to qualify products (substances) for medicinal purposes.

With the Medication entry and edit form you can:

  1. Search for a particular medication
  2. Add a new medication
  3. Edit the details of a particular medication
  4. Delete a medication

Also, from this form you can:

  1. Create a new product
  2. Create a new unit
  3. Create a new grade

Search

Use the Product combo box and the Medications list box to find the medication you require.

Add

Select, from Product combo box, the product for which you want to create a new medication.

Click new

Edit

You can only edit medications that have not yet been prescribed.

Delete

You can only delete medications that have not yet been prescribed.

Press Delete

If this medication has not previously been prescribed you will be asked to confirm this deletion.

Press Yes to delete the medication

OR

Press No to keep this medication

Any attempt to delete a (previously prescribed) medication will result in the following message:

Press OK button.

Medication is now highlighted in Medication list.

Press New button.

Left hand side of form is now deactivated.

Enter details in strength box.

New medication is now highlighted in medication list.

This product can be prescribed as numerous different types of medication.

Press New button.

'Creating a new medication' form appears.

Enter new details into boxes on right hand side of form.

Press OK

New medication now appears in medications list in ' Medication edit and entry form'.

Press Exit when finished.

Create new product

You can create and add new products directly into the database through the Products combo box. If you are searching for a particular product and it doesn't appear in the list, you can invoke the Confirm new product and medication form to add the new Product into the database.

Type in the name of the product

Press the Enter key

If the product is not in the list then the Confirm new product and medication form will open.


Mixing business and pleasure

BiziBook has another feature that allows you to mix business with pleasure. This feature is called "Tax related". When making a payment for an acquisition, you can specify what proportion of this payment is creditable.

For example, you conduct your business from home and you use the telephone for both business and private use. After analysing the telephone usage, you decide that 80% of costs associated with the calls are business related. When you make the payment to the telecommunications supplier, 80% is claimable as a creditable acquisition and 80% of the GST you paid is claimable as a GST input credit.


More formula

Does it matter which formula I select first?

Yes. Order is important in the following scenario:

  1. when there are two or more formulas having the same constituents, AND
  2. when stock levels are low

Before you can dispense, checks are carried out to determine if:

  1. you carry the constituent as a stock item
  2. you have the constituent in the Catalogue
  3. there is enough quantity to fill the script
  4. the constituent is not a discontinued item

When prescribing medication based on a formulation of substances, the practitioner can:

  1. select from a list of existing formulas
  2. create a new formula
    1. from scratch
    2. clone an existing formula

Formulas are not tied to packaging. For example, a particular formula may be dispensed in a number of different bottle sizes - 25ml, 50ml, 100ml and so on.

Facilities to "manufacture" medications on the fly. In essence, if you need to dispense a mixture of substances, then you are manufacturing a mixture (or concoction). You draw on your stock, assemble and package the ingredients, label it, price it and then sell it. To do this you will need stock (excess qty) of each substance, stocks of packaging (containers, bottles and jars)

Each substance (Mushroom Extract) is listed as a Product. Also, the container (Bottle) is listed as a Product. You will create (qualified) Stock items:

  1. Mushroom Extract, 500ml, bottle (what you buy)
  2. Mushroom Extract, 1ml, stock (the rate at which you dispense)
  3. Bottle, amber, glass, 200ml, stock (an accessory included in the dispense)

It may also be possible to dispense at different rates. As well as dispensing by the milliliter, there may be times when you dispense by the drop or spray.

  1. Mushroom Extract, 1drop, stock
  2. Mushroom Extract, 1spray, stock

Each of these items is entered into the Catalogue, along with its corresponding costing and inventory detail.

Item versus Formula

If you a purchasing an item that you will re-sell without modifications, then this item is sold from the catalogue.

If you are formulating your own concoction to be dispensed (sold) from your dispensary then have two choices:

  1. Sell it from the catalogue
  2. Sell it as a once-off, ad-hoc dispensary formulation

Select each individual substance, either by volume or ratio.


Orders

The Orders button enables you to recall a customer or suppliers inventory details. A cash sale can be made here when sale is not from your usual stock catalogue (e.g. some old plastic bottles not listed in stock inventory).

'Show purchase order' button will change focus from customer to supplier

'Show invoice' button enables you to access the invoice of desired customer

Press Orders button on BiziBook desktop

Order 'Entry and edit' form appears

Pull down 'Select customer' combo box

Select customer and highlight

Pull down 'Period' combo box and select

Pull down 'Status' combo box and select

'Order by' box enables you to select the method of search

  • Order no.
  • Date

Invoice/s are now shown in the record box

Highlight required invoice

Details now displayed at right hand side and bottom of form

Refer to Raymond to see if bottom buttons are to do anything


Overview

BiziBook is a database application designed to help you, the healhtcare professional, manage the data arising from your dealings with clients within the context of a clinical practice. BiziBook provides tools for a structured approach to practice management.

BiziBook will help you:

  • Keep track of People, Places and other things

  • Keep track of your activities in the Diary (appointment book)

  • Keep a client history file

  • Prescribe substances as medications

  • Provide a dispensary service

  • Write invoices and receipts

  • Maintain your stock inventory

  • Keep track of GST and other income and expenses

  • Prepare your Business Activity Statements (BAS) and tax returns

The Diary

In BiziBook, the Diary combines the features of a diary and the appointment book. As well as recording important activities and events relating to your practice, the diary is also like the appointment book on your reception desk where you schedule appointments with clients. The Diary is the main interface to the activities of your practice.

The features of the Diary include calendar, clock, query fields and the appointment sheet that lists all the activities and appointments.

The main operations you perform with the Diary are:

  • Record and schedule practice activities

  • Create an appointment with clients

  • Delete an appointment (restricted)

  • Search for a previous or future appointment

  • Reschedule an appointment

Client history

The client history form allows you to record:

  • Comments, observations and case details pertaining to the appointment

  • Private notes that you may want to make, from time to time, either about the client or about your own processes when dealing with this client

  • What you have prescribed as a result of consultation with the client during this appointment

  • Details of any other services provided during this appointment

  • The service charge for the appointment

  • Any monies paid as a deposit or booking fee

On this form you can also scroll backwards and forward through the client’s history

Invoicing, Receipting and Dispensing

BiziBook provides facilities to:

  • Generate and print invoices and receipts

  • Maintain stock inventory and a catalogue if you operate a dispensary

BiziBook can handle family appointments. During the consultation you record and prescribe for each member individually and then combine all charges on an itemised invoice.

You can accept multiple payments for the one invoice and when you write receipts, the details are posted to the general ledger.

BiziBook allows you create and store your own special formulas and then make and dispense them as required by the prescription.

The program will determine if you have sufficient quantities of all constituents and then allow you to optimise the dispensing.

Inventory levels are automatically adjusted and when they fall below a predetermined level, stock requisitions are created.

From the stock requisitions, you can then use another optimisation feature to determine the suppliers on whom the purchase orders are raised. Along with the catalogue, BiziBook also maintains a pricelist of your suppliers. An edit manager allows you flexibility in updating these lists.

General ledger

The general ledger access to all your financial transactions. By using the financial category features, it is possible to record both your personal and business related expenses in the same general ledger. As well as determining which income and expenses are tax related, you can also set the level of tax for expenses related to your office at home. For example, if your home office was 8% of floor area you can specify expenses like power, telephone and rates to be 8% tax related.

With the general ledger you can

  • insert new transactions

  • edit existing transactions

  • delete transactions

  • search for particular transactions

  • produce reports

The general ledger form provides an interface to powerful, yet flexible, search facilities. You can search on dates and date ranges, accounts, entities (enterprises & individuals) and financial categories.

For reporting, you can use predefined reporting parameters or define your own parameters that you can save for later use. You can also use the query facilities on the form to specify parameters to your report.


People

BiziBook uses the term "Entity" to describe both:

  • individuals (persons like client, consultant, sales rep, parent, child ...)
  • enterprises (businesses like your own practice, suppliers ...)

Creating a new entity

Relationship manager

Notes

Whilst most of us would be comfortable using the term "people" to describe those with whom we interact, it is limiting. BiziBook has opted to use the term "entity" to refer to the "other party" in your interactions with others.


People and Places

BiziBook allows you to maintain personal and demographic details about people as well details about places.

Enter and edit details for entities (people)

Enter and edit details for places


Prescriptions

Prescriptions - New

Click on client combo box

Start typing clients name and highlight from given list

Select appropriate group.

Select appropriate consultant.

Select appropriate activity

Place cursor in client's next appointment field

Click on a Day, Time or Activity in the diary form.

This brings up the Client Contact History form

NB. Do not click on the Client, as this will bring up a different form

Press OK

Click on Prescription tab

Place cursor in client's next prescription field and click or Press New button

'Searching for an existing formula' form appears

Use combo boxes to highlight contents:

  • Contains

  • And

Prescription is now in Formula/Medication list below

Highlight and Press Select button

A form showing Prescription instructions now appears

Press Select button

Prescription now has been added to Client History form

To View Prescription

Press Prescript button at top right had side of Client History form

Adding directions to a Prescription

Recall Prescriptions


Recall Prescriptions

Prescriptions - Recall

Prescriptions - New

Press diary button located on the front page of BiziBook

The diary form will appear.

Click on client combo box

Start typing clients name and highlight from given list

Select appropriate group.

Select appropriate consultant.

Select appropriate activity .

Place a check beside client's name

A record of all clients appointments appear

Select the required appointment by:

Clicking on a Day, Time or Activity in the diary form.

This brings up the Client Contact History form

NB. Do not click on the Client, as this will bring up a different form

Press the Tab required for information - Prescription


Product packaging

This is the material used that the product is being dispensed in.

To enter or edit a product's packaging type:

Press Stock button on BiziBook desktop.

'Stock edit and entry' form appears.

Select an item from the Stock Items list, and press New to enter a new type of packaging for that product, or press Edit to alter the existing packaging details.

Examples of size-units:

15ml, 30ml, 60ml,

50g, 100, 150g.

Examples of size extension:

A box measured in volume - 30cm in height, 30cm in width and 25cm depth- 30x30x25cm

Examples of container:

Spray, Jar, bottle.

Press OK when finished.


Product strength

By definition, medicine is something (product) that has healing properties. Medication is the science and art concerned with the cure, alleviation, and the prevention of disease, and with the restoration and preservation of health.

Medicine is something that you will prescribe, to the client, as part of the client’s treatment protocol.

Medication is used to qualify a product. It is used to distinguish variations of the same “thing.”

For example, Vitamin C comes in many different strengths – 50mg, 100mg, 250mg, 500mg …


Products - described

Products

In Bizibook, the term "product" is used to name anything related to your business interest - something that you might buy, sell or use.

How to enter Products

You are able to enter new Products:

  1. From the Products form

  2. From a combo box on the

    1. Medication edit and entry form

    2. Stock edit and entry form

Introduction

Generally, the term Product, is used as a label to identify any thing that can be used, consumed or performed. By definition, a product is something that occurs naturally or is manufactured.

A product is anything from avocado to zanthium; from asprin to zinc oxide. A product can be anything that you may prescribe as part of a client’s treatment protocol. This can include exercise activities like walking, swimming and tai chi. This is not limited to physical activities as you may also prescribe meta-physical activities like prayer and meditation.

A product can be something that can be prescribed (medication) and/or sold (stock). As stock, a product is something that is commercially available.

So, before you can prescribe a medication or sell any stock, you have to identify what the “thing” is and enter “its” details into the database. Product forms the basis of Medication.

You can make Products from other Products

As a practitioner, you may devise a concoction that contains more than one product. You create a formula and give a name for this creation. This name becomes a new Product. This new Product can form the basis of something you would prescribe to a client.

Your formula does not need to be made public. The formula is your intellectual property; it may be your competitive advantage.

Products – not Brands

Resist the temptation of entering brand names as products. Brand names are entered through the Catalogue edit and entry form..

Top


Products form

The Product form

Each product is recorded in a table which is then provided as a list in the Medications and Stock entry forms.

Press Product button on BiziBook desktop of BiziBook to open the Products dialogue form. From this form you can:

  1. Search for a particular product
  2. Add a new product
  3. Edit the details (restrict this to correcting spelling mistakes)
  4. Delete a product (WARNING - See details)

Search

Use the alphabet buttons at top of form to display all products beginning with the desired letter.

Add

Press last entry button.

Enter name of new product.

Press Enter.

Details are recorded, close Product dialogue box.

Edit

In conjunction with the Search facility, locate the record you wish to edit.

Change the details as required

Delete

WARNING!

Deleting a product from this form may cause other important records in the database to be deleted.

Proceed if you are absolutely certain that the product has not been listed as a Medication or as a Stock item.


From Products to Prescription

Philosophically, you (the healthcarer) and your client enter a relationship on the expectation that the client will address his or her health issues.

From your observations and measurements taken during the consultation you may consider that a certain substance or a combination of substances, taken in a particular manner will assist in bringing about therapeutic change.

In consultation with your client you will formulate a treatment plan which may require you to prescribe a formula (one or more products of medicinal value).

The above figure shows the relationships between the various objects. Each object must be specified before a prescription can be written.
  • Products
  • Medication
  • Formula
  • Dosage
  • Direction
  • Preparation
  • Contraindication
  • Prescription


Query fields

The query fields

The query fields on the Diary allow you to specify the scope of your search for previous or future activities and appointments.

You can use these query fields singularly or in conjunction with each other. The query fields are:

  • Calendar and Date buttons

  • Client

  • Group

  • Consultant

  • Activities

Calendar and Date buttons

You use these fields when you want to find activities and appointments for a particular day or date period. The following table summarises the scope of search.

Ignore | This relaxes all searching restrictions.
Day | Displays only those appointments scheduled for the day highlighted in the calendar. For example, 26 September, 1999.
Week | Displays only those appointments scheduled for the week in which the day is highlighted. For example, all appointments from Wednesday, 1 September, 1999, up to and including those appointments on Saturday, 2 October, 1999.
Month | Displays only those appointments scheduled for the month in which the day is highlighted. For example, all appointments from Sunday, 26 September, 1999, up to and including those appointments on Thursday, 30 September, 1999.
Year | Displays only those appointments scheduled for the Year in which the day is highlighted. For example, all appointments from 1 January, 1999, up to and including those appointments on 31 December, 1999.
Fin Year | Displays only those appointments scheduled for the Financial Year in which the day is highlighted. For example, all appointments from 1 July 1999, up to and including those appointments on 30 June, 2000.
Last Year | Displays only those appointments scheduled for the Year in which the day is highlighted. For example, all appointments from 1 January, 1998, up to and including those appointments on 31 December, 1998.

Client

Use this field if you want to find particular activities or appointments for a particular client. To search, either scroll through the existing clients in the drop down list of combo box, or type in the clients name.

Once a client has been selected, a tick will appear in the box adjacent to the combo box. To relax the client search mechanism, remove the tick from by clicking on the box.

Group

Use the group query field to select the group or enterprise under which activities and appointments are being performed. To select a group, either scroll through the drop down list of combo box, or type in the name of the enterprise in the Group query field.

This field is automatically activated once a group is selected.

Consultant

Use this query field if you want to find particular activities or appointments by a particular consultant. To search for a consultants activities or appointments, either scroll through the drop down list of combo box, or type in the consultants name (provided it is not a new consultant). Consultants names that are available for selection will depend on the group selected in the Group query field.

Once a consultant has been selected, a tick will appear in the box adjacent to the combo box. To relax the consultant search mechanism, remove the tick by clicking on the box.

Activities

Use this query field if you want to search for appointments or activities according to the type of activity performed (e.g. consultation). To select the type of activity to search for, either scroll through the drop down list of combo box, or type in the activity in the Activity query field (provided it is not a new activity).

Once an activity has been selected, a tick will appear in the box adjacent to the combo box. To relax the activity search mechanism, remove the tick by clicking on the box.


Receipting

Press Show Invoice button on the invoice form

Invoice: Goods and Services form appears

Press Receipt button of bottom of form

Receipt details form appears

Enter details into the corresponding boxes

  • Paid by
  • Date paid
  • Amount paid
  • Payment type

Details appear highlighted in 'Receipts for this invoice' option box

Post details of income straight to ledger:

Alt P to post

Alt X to exit form

Receipting with part payment


Relationship Manager

This feature enables you to link people or enterprises by their association with each other.

It is a fast track record finder by relationships.

Press Relationship Manager button on BiziBook desktop

Relationship manager form appears

Entity 1

When entering new entity press New button on left hand side

Pull down combo box and enter title

NB. If title is not already entered, just type in and press Enter button

Pull down Last name combo box and enter details

Enter details into boxes:

  • Preferred names
  • Given names
  • Date of birth
  • Gender

Press button Residence/Work button to correspond with the details being entered

Enter details into corresponding box:

  • Telephone
  • Fax
  • Mobile
  • Email
  • Home page

NB. Country telephone and fax code is entered by pulling down the combo boxes and highlighting required code

To enter address:

Pull down City combo box

Address details box appears

All known addresses in this area will appear in address details box

If address is already listed highlight and press Select button

To enter new address press Add button

Adding an address will appear in address details box

Enter details:

  • Address: enter here precise details eg. Suite 5, Floor 10. Cnr.of Sts.
  • Street No
  • Street name

Press OK

Details now appear in Relationship manager form

Entity 2

Enter details a described in Entity 1

Defining Relationship

Pull down combo box and choose relationship best suited between Entity 1 and Entity 2

Press Commit button when details are displayed in both Entity forms

To Recall Entity Details

Enter Name into either Entity

Pull down combo box and highlight relationship

This automatically brings up the recorded relationship

A number box will appear with the number of recorded relationships committed with Entity 1 in this field

To Edit Address form

Pull down City combo box

Address details box appears

Highlight address to be edited

Press Edit button

Change data required

Close form

Edit Entity Form

Press Edit button on corresponding side of form

'Editing the entity's details' form appears

Enter the new details

Press OK

Press Exit

All Clear button will clear all information from the Relationship manager form


Search on day, month and year

Day, month and year search

Searching for appointments and activities, within the time period specified on the date and time side of the diary form, can be displayed.

Click appropriate date from the calendar on the left hand side of the screen.


Setting date and time

The calendar and clock at the left hand side of the diary form allows you to set the date and time for all features.

Objective:

Use the calendar and clock to set the date and time

  • to set date

  • to set time

To set date

Pull down month combo box and highlight required month.

Pull down year combo box and highlight required year.

Press the day number on the calendar to set the date.

This also sets the date in:

  • date time

  • D-T in/D-T out

(diagram)

To set time

To utilize the clock the toggle button in the top left corner must be disengaged.

Set Am/Pm by toggling button at right hand corner above clock.

Set large hand to the minutes by clicking on the appropriate number.

Set small hand to the hours by clicking on the appropriate number.

This also sets the time in:

  • date time

  • D-T in/D-T out


Setting Size

Setting Size, Unit, Grade

Press Medication button on BiziBook desktop.

'Medication edit and entry' form appears.

Pull down combo box and select product type.

Selected product now appears highlighted under medications.

You can then perform one of the following functions:

  • NEW - choose this function if you want to enter a new type of an existing medication e.g. a new product strength, size etc.
  • EDIT - choose this function if you want to edit an existing type of medication e.g. a change in product strength, size etc.
  • DELETE - choose this function if you want to delete a type of medication from your records.

NEW

Press New button.

This deactivates the left hand side of the form.

Enter corresponding details about.

  • size
  • unit
  • grade

Press OK.

EDIT

Press Edit button.

This deactivates the left hand side of the form.

Details of existing product can now be altered.

Press OK.

DELETE

Press Delete button.

This deactivates the left hand side of the form.

Need rest of instructions here/waiting on an error correction

Press OK.


Setting up BiziBook

Before you can use BiziBook you will need to provide some information about your business.

Even though BiziBook is supplied with information, that would be used in most practices, you will still need to provide additional information that is particular to your own practice.

You use the Setup form to specify these parameters


Setup Form

The Setup form is used to specify your business's operating parameters. These parameters are used by BiziBook in certain calculations and when creating certain records. This form is used when you first start using BiziBook and when you want to change some business parameters at a later date.

The form contains a number of tabbed pages which you use to get to different groups of parameters.

To access each page on this form you can use the:

  1. Mouse
    • click on the tab
  2. Shortcut Key
    • Alt + E (Enterprise)
    • Alt + D (Dispense)
    • Alt + G (GST)
    • Alt + L (Ledger)

Select the page:

  • Enterprise
  • Dispense
  • GST
  • Ledger


Setup form - Dispense

Dispense

The parameters on this page are:

  1. Stock category
  2. Stock units
  3. Topping percent
  4. Contact details

Stock category

Stock has dual meanings in BiziBook. In a retail sense, Stock are all those items that are carried for sale and is considered to be part of the inventory. As the inventory decreases you will buy more stock to replenish the inventory. These stock items come in different containers: jars, bottles, bags, boxes, tubs and others.

For dispensing purposes, "stock" refers to a container. You may be more familiar with the term "bottle of stock" when referring to substances that you use when you mix together herbal preparations, oil blends or flower essences.

For example, you make herbal preparations by combining several substances. For each substance that you sell by the ml (millilitre) or drop, you will carry, in your Stock (inventory), a stock item that has its container type specified as "stock"

Select "stock" from the list or add a new item to the list.

WARNING: If you change this after your have added stock (dispensing) into your stock (inventory) then you must change the container type for each of the "stock".

Stock units

These are the default units of volume for the dispensed preparation.

When you make herbal preparations, oil blends or flower essences you will most likely dispense these in bottles. As these preparations are liquid then the volume is specified in ml (millilitre).

This does not proclude you from using other units of measurements. For example, when preparing dried herbs or powders you can specify gm (grams) in the Formula form.

Select "ml" from the list or add a new item to the list.

Topping percent

Topping percent is used when calculating the number of containers required to dispense the preparation. Topping percent allows you to overfill the container.

BiziBook calculates the volume required (to dispense) from the prescription. For example, your prescription requires a client to take 2.5ml of a preparation three times daily for four weeks. This volume needed to meet this prescription is 210ml (2.5 x 3 x 7 x 4).

In the dispensary, BiziBook optimises the number of containers needed. From the above example, with topping percent specified as 5%, you will be able to put all of the 210mls in the one bottle.

Specify the topping percent.

Contact details

BiziBook has facilities to print labels that may be used on bottles or other containers when you dispense medications. Whilst most of the details on the label are based on the prescription details and formula constituents, there is provision to have your contact details on the label.

Enter the text you want printed on the label.


Setup form - Enterprise

Enterprise

The parameters on this page are:

  1. Enterprise name
  2. Mark up
  3. On costs

Enterprise name

This is the trading name of your business. This is used to specify the "Enterprise" of the "Enterprise-Employee" relationship. After you have added the enterprise's employees (which might only be yourself) to this relationship you will find it easier to use in the diary.

Enter the name of your business.

Mark up

This parameter is expressed as a percent and is used in the Catalogue to calculate the default value of recommended retail price (RRP) after you enter the purchase price of an item in the catalogue.

Enter the percentage of mark up used in your business.

On-costs

On-costs represent those costs to the business that, when added to the cost of acquisitions, represent the breakeven point. For example, if paid $100,000 for the stock you sell and the operating costs (wages, business expenses) of your business was $15,000 then you would have to sell the stock for $115,000 to break even. This represents an on-cost of 15%.

Enter the percentage of on-cost for your business

Note

You will recognise that the difference between Mark up and On-cost would be the profit margin of the business.


Setup form - GST

GST

The parameters on this page are grouped as:

  1. GST enabled
  2. Default GST rates
  3. GST account and categories

GST enabled

This indicates that GST is enabled and GST calculations are performed in transactions involving money.

Check this field if you want GST enabled.

Default GST rates

In BiziBook you can specify the GST rates on each catalogued item in the stock inventory as well as the GST rate for activities. However, in transactions where there is no provision to specify the tax rate, BiziBook will use the values specified in these fields.


GST account and categories

The GST account and categories are used to manage the flow and grouping of tax related financial transactions.

GST account

This is the liability account to which you post the GST on goods and services.

GST collection

This is the financial category for GST that you collect when money is paid to your business for taxable supplies.

GST remittance

This is the financial category used to track the money you remit to the taxation office.

GST input credit

This is the financial category used to track the GST you have paid on creditable acquisitions

GST withholding

This is the financial category used to track the withheld portion of payments made to businesses who fail to provide their Australian Business Number.


Setup form - Ledger

Ledger

The parameters on this page are used to provide information, in the general ledger, when you write receipts for the supplies you make to your clients:

  1. Operating account
  2. Financial category
  3. Description

Operating account

This is your business operating account. This is the primary account the reflects the financial transactions of your business and includes, though not restricted t

  • the payments made to you for the supplies you provide to your clients
  • the payments you make to other suppliers for the acquisitions

In most cases, this will be your business cheque account.

Hint: Whilst most accounts are identified as numbers you may be tempted to use the same name as your trading name. This is allowable in BiziBook but it may initially cause you confusion when using the general ledger. Use a derivation of your trading name and include the word "Account" in the title. You may change the title, or even the account, at any stage.

BiziBook has number of predefined accounts and comes with "Cash on hand" as the default operating account.

Enter the name of your operating account into the list.

Financial category

BiziBook requires, among other things, that a financial category be specified in every financial transaction. To help you group all the transactions that are created as a result of activities in the supply of the goods and services you provide to your clients you will need to specify a financial category indicative of such.

Description

Each financial transaction has provision to include a description of the transaction.

Enter the description you want to see in the General Ledger when you post receipts.


Size

Size, Unit and Grade

The concept of “strength” is used to distinguish variations of the same product. Strength can be specified as either size-unit or grade. If needed, it is also possible to use size-unit and grade together.

Once a medication has been used in a prescription, it will not be possible to alter the record. This is to ensure strict accountability of records is maintained at all times. If medications were altered after they have been prescribed, this would change records in the entire database, causing confusion over records.

Examples of size-unit:

Amoxcyl 20mg

Arnica 30C

Examples of grade:

Meditation, deep

Olive oil, virgin

Walking, brisk

Setting size unit and grade


Specify the client

How to specify a client in the Diary

In many cases, it is quicker and easier to select a value from a list than to type in the name of the person. BiziBook provides you a way to access the list of clients you have in the database.

Objective:

Here you will learn how to compile and recall all your clients from one generated list.

  • recall existing client
  • enter new client

This feature of BiziBook provides you quick access to your client list.

Existing client

Highlight the current name in the Client combo box.

Start typing the person's last name.

As you type, you notice that the name in the box changes to match the characters you type in.

Highlight clients name when appears.

New client

Type surname of new client then press enter.

A dialogue box titled 'Creating a new entity' appears.

Enter the details and press OK.

This returns you to the diary form.

Constant | Value | Description
vbUpperCase | 1 | Converts the string to uppercase characters.
vbLowerCase | 2 | Converts the string to lowercase characters.
vbProperCase | 3 | Converts the first letter of every word in string to uppercase.


Starting BiziBook

BiziBook is a Windows application that can be started (launched) from either of the following:

  • a shortcut on the desktop
  • the Windows Start menu

The following events occur when you start BiziBook:

  1. the splash screen is displayed for a brief period
  2. the Confirm database connections dialog box is displayed. This dialog box requires your interaction before you are given access to the program proper
  3. the BiziBook desktop is displayed


Change connections

The change connection facility allows you to find and reconnect to the back-end database if the database files have been moved to a different computer or drive or folder. If you have created a test or training database in another area of your computer system then you will need to use this facility to set up your connections to this database:

  1. Press the Change button (this will open a file dialog box)
  2. Navigate to the appropriate drive and folder in which you have installed the BiziBook back-end database
  3. Select and Open each back-end file specified in the title of the dialog box

Notes

An example of the file dialog box is shown below. To navigate to other areas of your computer's file system use the "Look in" drop-down list to select either:

  • different computer
  • different drive
  • different folder


Confirm connections

Confirm connections forces the program to look for a critical table in each database located in the specified path.

  1. Press Confirm

Notes

If this operation was successful then Ticks will appear in the front of the connections.

Press OK to gain access to the BiziBook desktop

or

Press Exit to quit the application

If you were changing connections and had accidentally selected the wrong database file then this connection would display a red cross. In this case, press the Change button and retry.

A more serious problem is if one or all of the database files had become corrupted as a result of a disk crash or similar.

Press Exit


Confirm connections

Connection confirmation dialog box

The dialog box (form) titled - "Confirm current database connections" - is displayed immediately after the splash screen is cleared from the screen.

At this stage you can:

  1. Confirm connections

  2. Change connections

  3. Exit BiziBook

BiziBook is presented as a front-end and a back-end application. Before you can use, or enter your data into, the BiziBookdatabase, it is necessary for you to confirm the connections to the back-end database files.

The form has three columns:

  1. Database
  2. Name
  3. Path

Database

This column displays the Database name - the domain, or generalised purpose, of the contents in this database.

Name

This is the name of the database file in the computer's file system.

Path

This is name of the file system path to the database file.


Exit BiziBook

To exit the BiziBook application from the Confirm connections dialog box:

  1. Press Exit
  2. Press Ok

Notes

After pressing the Exit button you are given a confirmation message that will allow you to either proceed or cancel the exit operation.


BiziBook splash screen

Each time you start BiziBook, a splash screen appears. This screen displays the application title as well as copyright notices.

The splash screen is displayed for three seconds after which the Confirm database connections dialogue box is displayed.

You may press Ok or click on the "BiziBook" graphic to immediately close the splash screen.


Status Flag

This flag appears at the bottom of an invoice. These flags will appear at the bottom of the corresponding invoice. There are three levels connected with the status flag.

  • Pending
  • Closed
  • Issued

Pending

The invoice at this level can still still have goods added or deleted from it. It is open to alteration on all levels.

Closed

With this invoice you are not able to alter any of the details. Full payment has been received and the invoice has been filed for record.

Issued

With this invoice the goods displayed have been agreed for sale by both practitioner and client. The goods have been taken by the client and either full or part payment has been made against this invoice. It is against this invoice only that the client can make part payments if desired.


Stock entry and edit

This section is like the medicine cabinet. It lets you know what products are in stock and in what range's are available to you.

To fully understand this section we must first explain each of the fields and when you would use them.

Stock type and item

Product strength- Size/Unit/Grade

Product packaging - Size/Unit/Size Extension/container


Stock Requests

Stock requestion is a business process whereby you identify all the stock items where the number of items have fallen below the re-order level.

The Requisition edit and entry form allows you to:

  • search for a stock order

  • enter a new stock request

  • edit a stock request

  • view a stock request

  • raise purchase orders

Searching for a stock order

Use query field box at the top left corner of form

Pull down period combo box and specify the time span

Pull down combo box and specify raised by individual

The requests for that time are now in the list below

Highlight the appropriate request

It is now displayed on the form

Entering a new stock request

Use query field box at the top left corner of form

Pull down period combo box and specify the time span

Pull down combo box and specify raised by individual

Press New button

Left hand side of form is now deactivated

Pull down combo boxes and enter new details

Enter stock items by pulling down combo box in Item Stock field

Brand automatically appears

Enter the qty required

When data entered press OK

Editing a stock request

Use query field box at the top left corner of form

Highlight required stock request

Press Edit button

Make the necessary changes to the appropriate fields

Press OK

Viewing a stock request

Press View button at bottom right hand of form

A preview of the stock request to be printed out will appear

Order requisition


Stock type and items

This is where you would group different items together from a specific category or area of specialty.

Example:

Personal grooming - is the stock type

Tooth brush, toothpaste, Hair brush - are the items related to the stock type specified.


Debtors/Creditors information form

To Access Debtors/Creditors Information

Press Debtors/Creditors button on BiziBook desktop.

"Customer invoices" box appears.

Press Debtors button for required list of debtors.

Press Creditors button for required list of creditors.

Exit form when finished.


Adding directions to a prescription

Press the Prescription button.

‘Searching for an existing formula’ box appears.

Pull down Contains combo box and highlight required medication.

Press Select button.

'Searching for an existing prescription' form appears.

Press New button. NB You are not able to edit a prescribed medication.

'Adding a new prescription' form appears.

Enter the details to the corresponding boxes by pulling down combo boxes and selecting:

· Dosage

· How

· Frequency

· When

· Duration

Highlight chosen combination from generated list.

If desired directions are not already in the corresponding list, press More button.

'Directions' box appears.

Enter details and press OK.

Press Exit.

Choose contraindications

Omit or add any Contraindications by clicking in the text component

Press the corresponding arrow

Press OK

Press Exit

Exit Prescription form

Place cursor in the Prescription line provided and press Alt N

Search for prescription box appears

Pull down medication combo box and search for highlighted medication

Press Enter

Medication with instructions appear


Receipting with Part Payment

Receipting with only Part Payment

All goods have been taken and client is only paying part of the invoice

Complete all steps to show the items of medication have been taken.

Click on Receipt button

Enter receipt details as usual

Enter amount paid and date it was paid on

Post it to the ledger

When balance of invoice is paid, create a new receipt


To search for an appointment

Objective: To find relevant details of an appointment that occurred in the past or made in advance.

Bizibook provides you with a number of options that you can begin your search on.

  • Searching for an appointment on a specific client. Example.

  • Searching for an appointment in a specific time span e.g. day, week, month, year.

  • Searching appointments for a consultant in a specified time period.

  • Searching for appointments for a certain type of activity

  • Review all appointments for a particular client from any number of activities provided.

Bizibook enables you to narrow your search down to specific details from given parameters to determine the up and coming work load and valuate past appointments.

You can use a combination of the calendar, date buttons, combo boxes and check boxes to specify the search parameters.

Specific client

The check box has to be checked in order to narrow the search down to one specific client. If left unchecked, a full list of all clients seen from the search parameters specified will appear.

The query fields

By using the combo boxes on the calendar to specify month and year and clicking on the appropriate day of that month, Bizibook will provide you the relevant details.


Venues

At first glance, it may seem that venues are the same as addresses. However, in BiziBook, venues are significantly different in the following manner:

Venues identify the place where a time limited activity is conducted.

Venues are used in conjunction with Addresses to identify such things as rooms, suites, conference halls and operating theatres. When setting or conducting appointments for activities like meetings, consultations, operations or treatments you can specify the venue where this activity takes place.

Press [image] on BiziBook desktop to access the Venues form.

Notes

It is envisaged, in later releases of BiziBook, that Venues will be used in resource scheduling features.


Venue detail

Venue details

The Venue details form allows you to

  1. add a new venue
  2. edit a venue
  3. delete a venue

The form contains:

  • Venue name - this is the name that you would like to give to a particular venue, e.g. Massage room.
  • Location - this is the street address at which the venue is located.

To Add a Venue and/or Location

  1. Tab to the next available record, which has an asterisk beside it.
  2. Enter the name of the Venue.
  3. Tab to next box, and choose a Location.
  4. Press Exit.

Notes

If the Location of the venue is not currently in the drop down combo box, that is, if it is a new address or Location, it is recommended that you first insert the new address via the Cities and Addresses


Visual objects in BiziBook

BiziBook is a relational database application that uses a Graphical User Interface (GUI) to provide controlled access to the data stored in the database.

As a User, you are provided with a rich set of forms to perform the necessary data operations:

  1. insert records
  2. modify records
  3. delete records

The form is the basic construct of all visual objects. Each form contains a set of controls - a visual object that you can interact with.

The form contains as many controls as necessary for you to perform operations on the data that will maintain consistency and integrity of the database.

On each form you will find none, one or many of the following controls:

Check box

Combo box

Command button

List box

Navigation

Text box

Scroll bars


Combo boxes

Combo boxes: What they are and how they work

In many cases, it's quicker and easier to select a value from a list than to remember a value to type. With a combo box, you can do either without using too much space on a form. A combo box is like a text box and a list box combined.

When you enter text or select a value in a combo box, if the combo box is bound, the entered or selected value is inserted into the field that the combo box is bound to.

The list in a combo box consists of rows of data. Rows can have one or more columns, which can appear with or without headings. If a multiple-column combo box is bound, Microsoft Access stores the values from one of the columns.

You can use an unbound combo box to store a value that you can use with another control. For example, you could use an unbound combo box to limit the values in another combo box or in a custom dialog box. You could also use an unbound combo box to find a record based on the value you select in the combo box.

Combo boxes have a Limit To List property that you can use to control whether any value can be entered in the list, or only text that matches one of the values in the list can be entered.

If you have room on your form and you want a list to appear at all times, or if you always want to limit data entries to values in the list, you might want to use a list box instead of a combo box. For more information on list boxes, click


Command button

A command button allows you to execute a set of predefined instructions associated with the button on the current form.

Conceptually, the buttons are like (physically real) push-buttons you would have on a control panel. Examples of control panels include microwave cookers, vending machines and automatic teller machines (ATM)

How to press the button

There are three ways you can press a command button:

  1. press the Enter key on your keyboard WHEN the button has the focus
  2. a single click with the mouse's left button
  3. shortcut-key (if specified)

A shortcut-key is keystroke combination from your keyboard consisting of holding down the Alt key and then pressing (and releasing) the underlined key character shown on the button face.


List box

List boxes

What they are and how they work

In many cases, it's quicker and easier to select a value from a list than to remember a value to type. A list of choices also helps to ensure that the value that's entered in a field is correct. The list in a list box consists of rows of data. In a form, a list box can have one or more columns, which can appear with or without headings. If a multiple-column list box is bound, Microsoft Access stores the values from one of the columns. In a data access page, a list box has one column without a heading.

You can use an unbound list box to store a value that you can use with another control. For example, you could use an unbound list box to limit the values in another list box or in a custom dialog box. You could also use an unbound list box to find a record based on the value you select in the list box. On a form, you can use a combo box instead of a list box; it takes up less room, and you can type new values in it, as well as select values from a list. Learn about combo boxes on forms.

BiziBook contains a number of lists from which you can select when referring to specific items in a record. The use of lists increase consistency and reduce errors in your data. This also provides better search capabilities.

Some of the lists include:
  • Entities - individuals and enterprises you have dealings with
  • Activities - those tasks and activities that are important in your business
  • Cities, Addresses - places of residence, mailing details in cities, towns, suburbs along with its state and postcode
  • Accounts - repositories for money: cheque, savings, credit cards and the like
  • Financial categories - purpose for the inflow, outflow and transfer of monies between entities and accounts

If you have an inventory of goods that you sell then there will be lists like: Products, Stock, Catalogue, Brands and others.

The contents of these lists are not fixed - you can add and delete from these lists.

BiziBook is a relational database application. The internal structure of the database contains many tables which you access to through the use of screen based forms. Many of these tables are used as lists from which you select.


Text box

What is a text box?

You use text boxes on a form, report, or data access page to display data from a record source. This type of text box is called a bound text box because it's bound to data in a field. Text boxes can also be unbound. For example, you can create an unbound text box to display the results of a calculation or to accept input from a user. Data in an unbound text box isn't stored anywhere.


What's new

Changing a category that has a related GST input credit

Business Accounts

How to setup the Business account in relation to your cheque account.

Drawings

Using cash to pay for acquisitions

Banking: depositing cash and cheques into one or more accounts equates to transfer from BA to one or account

Clients using EFT - debit, credit, deposits

Post these to the BA and to the specified cheque account

GST categories

Adjustments

Withholding


You and BiziBook

When appropriately setup, BiziBook will reduce the amount of effort required to prepare the Business Activity Statements (BAS) and tax returns.

In order to complete the BAS, you are required to differentiate between the monies involved Supplies and Acquisitions; between taxable supplies and GST-free supplies; between creditable acquisitions and non-creditable acquisitions.

BiziBook is activity focused rather than money focused. As you conduct activities in your practice - consulting with clients; dispensing medications and restocking your inventory - corresponding financial transactions are recorded when writing invoices and receipts. When making payments, you use your user-defined financial categories to determine the type of acquisition and any GST input credits.

GST and BiziBook

Mixing business and pleasure


You, GST and the ATO

As a business - operating for the purpose of returning a dividend for the stakeholders in the enterprise - you are considered, by the Australian Taxation Office, to be a supplier . Depending on the nature of your business you will be making GST taxable supplies, GST-free supplies or a mixture of both.

In order to comply with the Australian Taxation Office (ATO) requirements you are to:

  1. keep records of all business transactions
  2. collect GST when making taxable supplies
  3. remit GST to the ATO periodically (monthly or quarterly) along with your activity statements
  4. tender tax installments quarterly (PAYG)
  5. submit a tax return annually

The Business Activity Statement is used to report your tax obligations and entitlements to the Australian Taxation Office. The activity statement is lodged either monthly or quarterly, depending on how your business meets the criteria.

You and BiziBook

Mixing business and pleasure


FAQ

FAQs - Frequently Asked Questions

What if the person's title I need is not listed in the entity data?

Can I delete an appointment?

Can I delete a prescription once I have prescribed it?

Can I change a prescription once I have prescribed it?

If a client cancels and appointment can I delete it?

How do I cancel one appointment and move it to a different time slot?

Does it matter which formula I select first?

What do I do after I have received my new upgrade?

Before you do anything - BACK UP YOUR DATA!! We cannot stress this enough.

What does it mean - close an Invoice?

When is an Invoice closed?

What is a booking fee?

For busy practices, where the client may have to book an appointment well in advance, you may consider taking a deposit for the appointment. The amount you take may be all, or part, of the fees you would charge for services resulting from an appointment.

What is a creditor?

A creditor is an entity (individual or enterprise) you owe money to.

Can I put the database files in a different directory?

How do I upgrade to a new version of BiziBook?

What happens when I provide goods and services to overseas clients?


How do I upgrade to a new version of BiziBook?

When the new release of the BiziBook program becomes available and you have a valid licence, you can upgrade your copy of the program you have on your hard disk drive.

Generally, the objective of the upgrade process is to replace the database front-end file (BiziBook2k.mde) with a newer version of the same file.

BEFORE YOU PROCEED WITH ANY UPGRADES, IT IS STRONGLY RECOMMENDED THAT YOU HAVE A RECENT BACKUP OF THE BIZIBOOK DATABASE FILES.

Upgrading from a CD.
  1. Place the CD in the CD drive
  2. Open Windows Explorer
  3. Select the file(s) on the CD
  4. Copy these files to the BiziBook folder on your local hard drive (usually C:)

Files copied from a CD usually have the file's property set to Read-Only. For BiziBook to work properly, the Read-Only property has to be REMOVED from its database files (*.md?).

Removing the Read-Only property.
  1. Select the file (in the BiziBook folder on your local hard drive)
  2. Right-click on the file
  3. Select Properties
  4. Uncheck the Read-Only property (each time you Left-click with the mouse in this check box, the property will either be set (checked) or reset (un-checked)
  5. Press Apply
  6. Press OK


Can I put the database files in a different directory?

Yes, you can specify a different directory other than the default directory.

Whilst it is possible to have the database files scattered across different folders, different drives and different computers, it is strongly recommended that you keep all the database files in the one folder.


Does it matter which formula I select first?

Yes. When you are prescribing, formulas to clients, order is important in the following scenario:

  1. when there are two or more formulas having the same constituents, AND
  2. when stock levels are low

Before you can dispense, BiziBook will conduct checks to determine if:

  1. you carry the constituent as a stock item
  2. you have the constituent in the Catalogue
  3. there is enough quantity to fill the script
  4. the constituent is not a discontinued item

When prescribing medication based on a formulation of substances, the practitioner can:

  1. select from a list of existing formulas
  2. create a new formula
    1. from scratch
    2. clone an existing formula

Formulas are not tied to packaging. For example, a particular formula may be dispensed in a number of different bottle sizes - 25ml, 50ml, 100ml and so on.

Facilities to "manufacture" medications on the fly. In essence, if you need to dispense a mixture of substances, then you are manufacturing a mixture (or concoction). You draw on your stock, assemble and package the ingredients, label it, price it and then sell it. To do this you will need stock (excess qty) of each substance, stocks of packaging (containers, bottles and jars)

Each substance (Mushroom Extract) is listed as a Product. Also, the container (Bottle) is listed as a Product. You will create (qualified) Stock items:

  1. Mushroom Extract, 500ml, bottle (what you buy)
  2. Mushroom Extract, 1ml, stock (the rate at which you dispense)
  3. Bottle, amber, glass, 200ml, stock (an accessory included in the dispense)

It may also be possible to dispense at different rates. As well as dispensing by the milliliter, there may be times when you dispense by the drop or spray.

  1. Mushroom Extract, 1drop, stock
  2. Mushroom Extract, 1spray, stock

Each of these items is entered into the Catalogue, along with its corresponding costing and inventory detail.

Item versus Formula

If you a purchasing an item that you will re-sell without modifications, then this item is sold from the catalogue.

If you are formulating your own concoction to be dispensed (sold) from your dispensary then have two choices:

  1. Sell it from the catalogue
  2. Sell it as a once-off, ad-hoc dispensary formulation

Select each individual substance, either by volume or ratio.


What happens when I provide goods and services to overseas clients?

Supplies made to overseas clients are deemed GST-free.

The supply of goods to overseas clients is relatively straightforward. BiziBook does not calculate the GST component for goods consigned to overseas addresses.

However, the supply of services to overseas clients is not so straightforward if your services are not GST-free.

For example, you are a homoeopath and you have someone, who is on holidays in Australia, come to your clinic for a consultation. When you take the person's details, the address given would be identifiable as international. The goods and service you provide for this consultation attract GST and is payable by the client.

The client then leaves Australia but continues to consult with you either by phone, fax or e-mail. You charge the client for the service.


What does it mean - close an Invoice?

Closing an invoice is a way to prevent any further alterations (changing values, adding or deleting items) to the invoice.

Consider what happens in real life. You go to a store to purchase a number of items. The items you select are listed on a document that becomes, at it were, a contract between you and the vendor. This document may also have other conditions listed on it - transfer of ownership, conditions of returns and restocking fees. This document may be called "A Contract"; "Bill of Sale"; or "Invoice". Once a payment (or part payment) has been made, the purchaser has agreed to the terms of the contract and the contract will stand as is. It is expected, and demanded, that the contract will not be altered in any way.

BiziBook implements the philosophy of "The Contract" by prohibiting any change to the electronic invoice by setting a flag on the invoice to indicate that it has been agreed to by the purchaser.

When is an Invoice closed?

An invoice is closed after you have Receipted any payment (either full or part) and posted it to the General Ledger. The ONLY exception to this relates to Booking Fee. If the value of the receipt is equal to the booking fee, the invoice will remain open.


Back-up the Customer's data

The customer's data is stored in the following back-end database files:

  1. bbAssets.mdb
  2. bbDiary.mdb
  3. bbFinancials.mdb
  4. bbInventory.mdb
  5. bbRecScript.mdb

These are the files that must be backed-up periodically.

Copy to another folder

Copy to another hard disk drive

Copy to another computer

Copy to removeable media


Safeguarding the Customer

Safeguarding the Customer's data

The customer's data is stored in the following back-end database files:

  1. bbAssets.mdb
  2. bbDiary.mdb
  3. bbFinancials.mdb
  4. bbInventory.mdb
  5. bbRecScript.mdb

These are the files that must be backed-up periodically.

The period between backups is a decision made between the System Administrator and the Customer. This decision is based on the results of a risk analysis. This analysis will consider issues like the:

  • possibility of computer failure
  • cost of performing the backup
  • cost of re-keying lost data

There are a number of strategies that can be employed to safeguard the customer's data. The following table shows a number of strategies and its rating of usefulness. The comments are not an exhaustive list - they are provide you some idea of the risks and threats.

Strategy | Rating | Comments
Do not back-up | 0 | Will loose everything if the files become corrupted or are inadvertently deleted.
Copy the files to another folder | 1 | As above plus and hard disk failure.
Copy the files to another hard disk drive | 2 | As above and computer loss (theft)
Copy the files to another computer | 3 | As above and fire on premises
Copy the files to removeable media | 4 | Failure of the recorded media. Has reduced possibility of theft or fire damage if media locked in a fireproof safe.
Duplicate the removeable media and store at a different site | 5 | Failure of the recorded media.
Two duplicates of the removeable media stored at two different sites | 6 | Best outcome.

It is suggested that the above files be backed-up at the end of every day when there has been activity on the above files.


System Administration

This section is written for those persons who have to manage BiziBook's environment.

Introduction

System administration covers those aspects that relate to the management of the:

  1. BiziBook software
  2. Customer's data
  3. Computer infrastructure

It is important to realise that each of these components are fluid and change over a period of time.

  1. BiziBook is continually evolving - fixes to the program, new features added and improvements in usability.
  2. The customer's data is continually changing with new records being added daily.
  3. At same stage, during the life of using BiziBook, the customer may upgrade his or her computer.

The customer is responsible for providing system administration resources.

Understanding the BiziBook architecture

Having knowledge of the BiziBook architecture will help the System Administrator manage BiziBook in the customer's environment.

See Architecture of BiziBook for a detailed description of the architecture.

What needs to be done

BiziBook software

In relation to the BiziBook software, the important duties of the System Administrator include:

  1. Install BiziBook software
  2. Upgrade to new releases of the software
  3. Patch the back-end database
Install the software

BiziBook is distributed on a CD that includes a setup program which simplifies installation of the software.

Upgrade to new releases of the software

From time to time, updated versions of the BiziBook software, will be available. Software updates may be available on CD or by downloading from the web site. Essentially, upgrading requires that the front-end database file - BiziBook2k.mde - be replaced with a more recent release of the file with the same name.

Customer's data

With respect to the customer's data, the System Administrator duties include:

  1. Backup
  2. Compact/repair

Backup. Backup. Backup. These are the three most important duties that the System Administrator has to perform with the customer's data.

Compact and repair is a utility that helps maintain the integrity of the database. Running this utility will cause, among other things, the database indexes to be rebuilt.

Computer environment

The customer's computer hardware, operating system and peripheral devices have some effect on the operation of BiziBook. There are two issues to consider - functionality and performance.

Functionality refers to the computer environment that will allow, and support, the operations of BiziBook. See specifications.

Performance of BiziBook is directly related to the computer's:

  1. central processing unit (cpu)
  2. memory (RAM)
  3. hard disk performance

Improving performance can be achieved by using the latest generation processor, large amounts of RAM (128MB) and high performance disk controllers and disk drives.

The software and customer's data reside on hard disk. Hard disk drives are a mechanical device and have a finite life. At some stage the drive may require:

  1. reformatting
  2. replacing

Should either of these be a result of an unplanned event (disk failure or severe system crash) the software may no longer load and the customer's data will no longer be accessible. All data entered since the last backup will be lost! The most recent data will only be as recent as the most recent backup.